Bug 1506933 - suitesparse: use openblas instead of atlas
Summary: suitesparse: use openblas instead of atlas
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: suitesparse
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1506952
TreeView+ depends on / blocked
 
Reported: 2017-10-27 08:16 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-01-09 12:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-18 09:47:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2017-10-27 08:16:13 UTC
Description of problem:
Please BuildRequire: openblas instead of atlas where available (currently: x86_64 %{ix86} armv7hl %{power64} aarch64 s390x, see %{openblas_arches} macro defined in openblas-srpm-macros package).

Version-Release number of selected component (if applicable):
4.4.6-10.fc27

Additional information:
A lot of benchmarks around the net suggest openblas is faster than ATLAS in most workloads:
https://github.com/tmolteno/necpp/issues/18
http://blog.nguyenvq.com/blog/2014/11/10/optimized-r-and-python-standard-blas-vs-atlas-vs-openblas-vs-mkl/
https://freddie.witherden.org/pages/blas-gemm-bench/
http://nghiaho.com/?p=1726

Many Fedora packages have switched to openblas already (e.g. scalapack and all dependent ones and numpy).

Comment 1 Fedora End Of Life 2018-02-20 15:29:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Dominik 'Rathann' Mierzejewski 2018-07-16 12:45:51 UTC
Ping? OpenBLAS is now available for s390x as well, so all primary arches are covered.

Comment 3 Dominik 'Rathann' Mierzejewski 2018-07-17 09:59:56 UTC
https://src.fedoraproject.org/rpms/suitesparse/pull-request/1

I will merge the above in a week or so if there's no response here.

Comment 4 Jan Kurik 2018-08-14 10:17:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Dominik 'Rathann' Mierzejewski 2018-08-18 09:47:17 UTC
Merged and built three weeks ago.


Note You need to log in before you can comment on or make changes to this bug.